Installing and upgrading Joplin with Homebrew

Hi
I have this current error when I try to install, reinstall or upgrade Joplin with Homebrew:

Error: Permission denied @ dir_s_mkdir - /usr/local/Caskroom/joplin/1.0.199

I don’t know why and it’s the only app I upgrade with homebrew that show this error. Is there a problem with this or is it just me ? I’m on Mojave 10.14.6 on a macbook pro.

Have you made sure that Homebrew is working correctly using brew doctor? It's been forever since I've used a Mac or Homebrew, but there should be an option to check that first. Then, if it comes up with no issues, have you made sure that your permissions are set correctly for that directory?

If these are not the issue, I would definitely check in with the maintainer of that cask to see if others are having the same problem. Joplin doesn't directly support any way of installation outside of the official release builds from its github. There are some unofficial releases that do have the maintainers be pretty active on the forums here, but those seem few and far between. :smiley:

Ok, that should be the root of my problem… I’d like to use Homebrew to have all my open source apps set the same way, but if it’s not possible with Joplin, it doesn’t matter.

1 Like

I didn’t say it wasn’t possible. Just stating that we may not be of full help with Homebrew issues.

But I have no other similars problems with Homebrew, though I use it for six to eight apps. But ok, I will follow this suggestion.